deprecated

Returns a list of store Prep Sheet items.

​

Deprecated: Use GET /v2/PrepSheetItems/{date}/{templateID} instead

Use this method if you want to get a list of local prep sheet items for a specific date and templateID Permissions: All users.

Path Parameters

  • Mandatory identifier, used to specify a specific prep date in the YYYY-MM-DD format to fetch data on.

  • Mandatory identifier, used to specify a local prep sheet template to be fetched.

Query Parameters

  • Optional parameter to define whether to synchronize with the template and recalculate and even calculate forecast. Applies if only the date is either today or tomorrow:

    • when it is set to true forces synchronizing with the template and calculating forecast.
    • otherwise a record is added if it does not exist and forecast is calculated if it has not been before.
  • This parameter is used to specify a comma delimited list of fields to return for an object. A field group can also be specified in the following format: 'fieldGroupName'. All fields for the object can be returned by specifying 'All'

    'Default' group is always shown, even if Fields parameter is not specified. 'Lookup' group will be shown if a model is a child of the required one.

Headers

  • The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.

Responses

Request Example for get/PrepSheetItems/{date}/{templateID}
curl '/PrepSheetItems/2026-10-16T20:54:18.535Z/C895A81E-0C20-42C0-B2DC-EAF43F9447BD?Refresh=false' \
  --header 'DCKey: YOUR_SECRET_TOKEN'
{
  "Data": [
    {
      "StorePrepTemplateLineID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
      "OnHandQuantity": null,
      "PrepQuantity": null,
      "Comment": null,
      "StoreStationID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
      "StoreEmployeeID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
      "IntervalStartTime": "21:30:00",
      "Section": null,
      "StoreItemID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
      "StoreItemDescription": null,
      "MeasureID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
      "MeasureDescription": null,
      "SuggestedQuantity": null,
      "StoreStationDescription": null,
      "StoreEmployeeDescription": null
    }
  ]
}